public class ExternalIterator
{
    private IterableBasicOrder order;
    private int pos = 0;
    
    public ExternalIterator(IterableBasicOrder order) {
        this.order = order;
    }
    
    public boolean hasNext() {
        return (pos < order.getProducts().length);
    }
    
    public String next() {
        return order.getProducts()[pos++];
    }
    
}
